### Method

# EDataServer OAuth2Services list

since: 3.28

#### Declaration [src]

    GSList*
    e_oauth2_services_list (
      EOAuth2Services* services
    )

#### Description [src]

Lists all currently known services, which had been added with e_oauth2_services_add(). Free the returned `GSList` with g_slist_remove_full (known_services, g_object_unref); when no longer needed.

Available since: 3.28

#### Return value

Type: A list of `EOAuth2Service*`

A newly allocated `GSList` with all currently known `EOAuth2Service` referenced instances.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.